Package org.drinkless.tdlib

# Class TdApi.MessageViewer

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.MessageViewer

Enclosing class:
  `TdApi`

public static class TdApi.MessageViewer extends TdApi.Object
Represents a viewer of a message.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `long`
  `userId`
  User identifier of the viewer.
  `int`
  `viewDate`
  Approximate point in time (Unix timestamp) when the message was viewed.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MessageViewer()`
  Represents a viewer of a message.
  `MessageViewer(long userId, int viewDate)`
  Represents a viewer of a message.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### userId

    public long userId
    User identifier of the viewer.

  - ### viewDate

    public int viewDate
    Approximate point in time (Unix timestamp) when the message was viewed.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### MessageViewer

    public MessageViewer()
    Represents a viewer of a message.

  - ### MessageViewer

    public MessageViewer(long userId, int viewDate)
    Represents a viewer of a message.
    Parameters:
      `userId` - User identifier of the viewer.
      `viewDate` - Approximate point in time (Unix timestamp) when the message was viewed.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR